Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRCommonElement

All Superinterfaces:
  JRStyleContainer

All Known Subinterfaces:
  JRBreak, JRChart, JRCommonGraphicElement, JRCommonImage, JRCommonText, JRComponentElement, JRCrosstab, JRElement, JREllipse, JRFrame, JRGenericElement, JRGenericPrintElement, JRGraphicElement, JRImage, JRLine, JRPrintElement, JRPrintEllipse, JRPrintFrame, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRPrintText, JRRecordedValuesPrintElement, JRRectangle, JRStaticText, JRSubreport, JRTextElement, JRTextField

All Known Implementing Classes:
  ElementDecorator, FillTableSubreport, JRBaseBreak, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseElement, JRBaseEllipse, JRBaseFrame, JRBaseGenericElement, JRBaseGenericPrintElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBasePrintElement, JRBasePrintEllipse, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBasePrintText, JRBaseRectangle, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBreak, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignElement, JRDesignEllipse, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBreak, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillElement, JRFillEllipse, JRFillFrame, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateElement, JRTemplateEllipse, JRTemplateFrame, JRTemplateGenericElement, JRTemplateGenericPrintElement, JRTemplateGraphicElement, JRTemplateImage, JRTemplateLine, JRTemplatePrintElement, JRTemplatePrintEllipse, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplatePrintText, JRTemplateRectangle, JRTemplateText, JRVirtualPrintPage.JRIdHolderTemplateElement, TableSubreport

    public interface JRCommonElement

extends JRStyleContainer

An abstract representation of a report element. All report elements implement this interface. The interface contains constants and methods that apply to all report elements.

Version:
  $Id: JRCommonElement.java 3411 2010-02-17 12:51:18Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.awt.Color` | `getBackcolor()`
`java.awt.Color` | `getForecolor()`
`int` | `getHeight()`
`java.lang.String` | `getKey()` Returns the string value that uniquely identifies the element.
`byte` | `getMode()` Deprecated. Replaced by `getModeValue()`.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.awt.Color` | `getOwnBackcolor()`
`java.awt.Color` | `getOwnForecolor()`
`java.lang.Byte` | `getOwnMode()` Deprecated. Replaced by `getOwnModeValue()`.
`ModeEnum` | `getOwnModeValue()`
`int` | `getWidth()`
`void` | `setBackcolor(java.awt.Color backcolor)`
`void` | `setForecolor(java.awt.Color forecolor)`
`void` | `setMode(byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`.
`void` | `setMode(java.lang.Byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`.
`void` | `setMode(ModeEnum mode)` Sets the element transparency mode.

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Method Detail

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### getKey

    java.lang.String getKey()

  Returns the string value that uniquely identifies the element.

### getMode

    byte getMode()

  Deprecated. Replaced by `getModeValue()`.

### getOwnMode

    java.lang.Byte getOwnMode()

  Deprecated. Replaced by `getOwnModeValue()`.

### getModeValue

    ModeEnum getModeValue()

  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

### getOwnModeValue

    ModeEnum getOwnModeValue()

### setMode

    void setMode(byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`.

### setMode

    void setMode(java.lang.Byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`.

### setMode

    void setMode(ModeEnum mode)

  Sets the element transparency mode.

### getForecolor

    java.awt.Color getForecolor()

### getOwnForecolor

    java.awt.Color getOwnForecolor()

### setForecolor

    void setForecolor(java.awt.Color forecolor)

### getBackcolor

    java.awt.Color getBackcolor()

### getOwnBackcolor

    java.awt.Color getOwnBackcolor()

### setBackcolor

    void setBackcolor(java.awt.Color backcolor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com